#version unofficial MegaPOV 0.7;

//Cylinder Dimensions
#ifndef(Cylinder_Radius)
#declare Cylinder_Radius = 1;
#end
#ifndef(Cylinder_Height)
#declare Cylinder_Height = 2;
#end

//Cylinder Declares
#ifndef(Cylinder_Color)
#declare Cylinder_Color = Pink;
#end
#ifndef(Cylinder_Translate)
#declare Cylinder_Translate = <0,0,0>;
#end
#ifndef(Cylinder_Texture)
#declare Cylinder_Texture = 
texture {PinkAlabaster}
#end
#ifndef(Cylinder_Rotate_X)
#declare Cylinder_Rotate_X=0
#end
#ifndef(Cylinder_Rotate_Y)
#declare Cylinder_Rotate_Y=0
#end
#ifndef(Cylinder_Rotate_Z)
#declare Cylinder_Rotate_Z=0
#end
#ifndef(Cylinder_Scale_X)
#declare Cylinder_Scale_X=1;
#end
#ifndef(Cylinder_Scale_Y)
#declare Cylinder_Scale_Y=1;
#end
#ifndef(Cylinder_Scale_Z)
#declare Cylinder_Scale_Z=1;
#end
#ifndef(Cylinder_Scale)
#declare Cylinder_Scale = 1; 
#end

//Cylider Construction
#declare Cylinder_Longitude = union {
#declare Count = 0;
#while (Count<8)
cylinder {<0,-Cylinder_Height/2,-Cylinder_Radius>,<0,Cylinder_Height/2,-Cylinder_Radius>,.015*Cylinder_Radius
pigment {Cylinder_Color}
finish {Luminous}
no_shadow
rotate y*Count*45}
#declare Count = Count+1;
#end}
#declare Cylinder_Latitude = 
union {
torus {Cylinder_Radius,.05*Cylinder_Radius}
torus {Cylinder_Radius,.05*Cylinder_Radius
translate y*.33*Cylinder_Height} 
torus {Cylinder_Radius,.05*Cylinder_Radius
translate y*.66*Cylinder_Height} 
torus {Cylinder_Radius,.05*Cylinder_Radius
translate y*Cylinder_Height} 
pigment {Cylinder_Color}
finish {Luminous}
no_shadow translate -y*Cylinder_Height/2}

//Render Cylinder
#if(View=5)
cylinder {<0,-Cylinder_Height/2,0>,<0,Cylinder_Height/2,0>,Cylinder_Radius
texture {Cylinder_Texture}
scale <Cylinder_Scale,Cylinder_Scale,Cylinder_Scale>
scale <Cylinder_Scale_X,1,1>
scale <1,Cylinder_Scale_Y,1>
scale <1,1,Cylinder_Scale_Z>
rotate x*Cylinder_Rotate_X
rotate y*Cylinder_Rotate_Y
rotate z*Cylinder_Rotate_Z
translate Cylinder_Translate}
#else

//Wireframe Cylinder
union {
object {Cylinder_Longitude}
object {Cylinder_Latitude}
scale <Cylinder_Scale,Cylinder_Scale,Cylinder_Scale>
scale <Cylinder_Scale_X,1,1>
scale <1,Cylinder_Scale_Y,1>
scale <1,1,Cylinder_Scale_Z>
rotate x*Cylinder_Rotate_X
rotate y*Cylinder_Rotate_Y
rotate z*Cylinder_Rotate_Z
translate Cylinder_Translate}
#end



